Subject: GA-DIGEST V1 #126
From: [email-masked] (GA-DIGEST)
To: [email-masked]

GA-DIGEST          Saturday, August 26 2000          Volume 01 : Number 126

----------------------------------------------------------------------

Date: Fri, 25 Aug 2000 01:14:24 +0200
From: Jefsey Morfin <[email-masked]>
Subject: Re: [ga] Re: DNS/ICANN understanding

Roberto,
I thank you for your comment. I obviously was unclear if you did not
got my point. Mea culpa!

I feel there are three semantic problems first:

- -  our European cultures tend to associate private to private sector
    and public to state or former monopoly sector, so public for us
    is obviously larger than private. This is not the meaning used
    in here. Public is what is available to everyone. Private is what is
    reserved to some. Private may be larger than public: think
    about transportation: public transports cannot transport you to
    all the places your private car can do. While the reverse is true.

- -  the nature of the Internet is hidden behind our perception of it.
    We tend to consider the Internet as a network, such as
    Transpac. It is not: it is a network of networks. Your PC
    connection to a host in Rome is as much complex as an
    X.75 interconnect agreement between Italcable and the KDD.
    Let assume you alternatively call Transpac then Tymnet
    using a TTY: your global vision of the world will be first the
    one supported by France Telecom, then the one by BT.
    Initially the TTY packet switch international services where
    all the same as supported by Tymnet. Then new technologies,
    international gateways, interconnect agreements came in.
    Initially the Internet got all its interconnects ruled by the
    same root. Now the different "network operators"
    (you, me, the VPN, intranet, externet.. managers) start
    understanding they may have their own global vision of
    their network environment extending their control on
    the foreign liaisons of their intranet/home system, making
    it different or event broader than the public (the one
    available to everyone) vision they had to be happy with
    until now.

- -  extended services: this is a rather tricky word meaning what
    is not yet accepted as a standard value added service (or will
    never be) but is yet offered or demanded. I included the intranet
    into extended services because the intranet by essence is not
    part of the currently prevailing standard public offering and is
    built on a private basis. But more than else, because extended
    services are virtually extending the intranet globally (this is
    why I call this external part the "externet").
    It is true that the full equation is:
    global = public + intranet + externet + other extended

This only means - and I understand it may surprise you - that
global is always private and includes all the resources you may
access including:
- -  your own systems: intranet
- -  what is available to everyone: public
- -  what you want to add on top of the pulic system: externet
- -  what you want to add on top of Internet: other extended

I know that for you global is the whole internet but there is
not such an operational thing (ie. DNS wise). It could only be
if there was a single network, but there are millions. From
your intranet you cannot access a host on another protected
intranet. So your global vision of Internet is different from the
user of that intranet. You could only have a global network in
your meaning in adding all the intranet and the extended
services. You would have then a huge amount of conflicts:
a private global vision is made of priorities assigned to handle
the conflicts. While public as a well behave core offer makes
sure it has no conflict.

Global is the same as public only when you have no intranet
and cannot afford or feel free to use/buy extended features in
addition or in replacement for public features.

Dont tell me this is Einstein with a global relative Internet: it is !

So you see that ICANN/DNSO offer a public service. You may
or may no utilize it at your convenience. Due to the size,
quality and public acceptance of this public service it will
obviously prevail and serve as reference for quality for a long.

My concern is that the credibility of this public service, today
100% or 90% of everyone's global vision, is endangered by
an ICANN unconsidered behavior will push extended
solutions entrepreneurs to develop their offer without enough
coordination. With some potential temporary chaos.

I fully share Jon Postel vision in RFC 1591: the public TLD
set should not be expanded. Its expansion belongs to
private operators. The market will not be accept it, fostering
competition between public and private where you had a nice
complementarity.

At 19:10 24/08/00, you wrote:
>About the first point, you correctly pointed out that RFC 2826 does not
>preclude <private> networks to run with their <private> root.
>Therefore, if the <private> networks are able to make their offer
>attractive to the public, nothing prevents them to have customers
>joining. The freedom of choice of an individual to join whatever
>alternative the market offers is one thing, the obligation of a common
>(or global) structure to include in the common services that offer is a
>different thing.
>As pointed out in the same RFC, the market will be puzzled in a
>situation in which typing an URL you reach different sites, depending on
>  how your PC is configured (or the choice of your ISP). This will kill e
>-commerce. As I always say, it is like if you dial a phone number, and
>you reach different people, depending on how your telephone is
>configured.

Yes. This is a bug if it is not what you want. It is a very nice
feature (the "follow-me" service) if this is what you want.

> >Moreover, the example you make in support of your argumentation:
> >I may want to subscribe to a [family] DNS root which removed all the
> >adult and gambling sites, or to a [business] DNS root which also
> >removed all the family related sites, replacing by little flowers, or
> >NASDAQ reports. These DNS roots are value added DNS roots.
>
>First of all, I will be happy to know how a root server operator can
>remove sites of adult content.

Gives access to nameservers not resolving them. Remember
that the DNS is a hierarchy. ".[family]com" is a copy of the ".com"
system not resolving these hosts. Big thing, but there is more
complex services on the net (think about alexia).

>But besides this, what prevents you from doing this?

Nothing. As nothing prevents me to rebuild all the DNS on my
machine. After all the DNS is only a tool dynamically building and
maintaining my host.txt file.
However, I may prefer someone to do it for me.

> >Value added DNS services is a coming industry, with broad ambitions.
> >The alternative root pionneering time will probably be over very soon as
> >alternative evoluates towards super (cf. infra) root.
>Correct.
>But value added services will build their offer, and they will be
>succesfull up to the extent that they will be able to convince
>subscribers.

Extended services you mean. Sure.

>But this will remain what it is: a private service.

Yeap. But everything is private except the a-root and al. But
not like in SSSR everything was public, and some are private now.

No. Public means open to all. Like anyone can buy stocks
of a public company but cannot buy stock from a privately
owned company.

>What you ask is that they will have the same status as
>the public/common service. Which is a different thing, and
>has nothing to do with freedom of choice.

I just ask that public services do not want to be exclusive
of common resources. This is like asking that highways
not to be exclusively reserved to public busses and to be
open to private cars. Even if some buss passengers may
chose to use their car.

BTW I do not ask anything. I just explain what I am doing
as I my tell you I take the highways.

>To the second point, extended services.
>Extended services are "private" for their very nature.

Agreed. We are fully in tune.

>The scheme you suggest, i.e. to use the "private" (="added value")
>network, and to use the "public" (="common") is perfectly legitimate,
>and is already in use by the ISPs that work with the alternate root
>server operators.

Yeap. However I do not use the word "value added" because it usually
qualifies standard services (split into basic and value added). This
is one of the reason why I use extended.

>The problem is that the way they resolve the names is "private". Another
>"private investor" may provide another value added system that will
>resolve the same names in a different way.

Exactly. This is why I used extended instead of value added. Value added
is part of a standard offering. If the user believes he uses the standard
(here, in you case, the public service) he will not be happy!!!

Bet if the user has selected that extended service just to do it, he
would not be happy if it was otherwise....

>In other words, this is the exact opposite of "global", it is "very
>local indeed"!

If you consider that the Extended services are operated by your
local ISP (I think this is what you mean). This might happen in
part, but usually the amount of competence, knowledge and the
very worldwide nature of the service will require large ventures.
Anyway extended services are by essence to extend the net,
some may extend it locally, but they still are extending it.

Example: when you click on an akamaïzed link (I presume you
know Akamai) you do not go to the object if the URL but to the
dynamically maintained object identified by its ARL on the 4000
machine buffering network of Akamai. You do not know it
but you probably do it 10 times a day or more. You used an
extension of the Internet giving power, speed and duplication
to the web site you accessed (CNN, Lycos, etc.. etc..)

>Back to the telephone analogy, in my company we have a PABX. If we want
>to connect to the global (pardon, the public) STN, we dial a code then
>the global (well, public) E164 number. OTOH, if I want to speak to my
>boss, I dial 1234.
>This is "very local indeed", because in my previous company, while to
>get an external number the provcedure was the same, dialling 1234 would
>have brought me to a different person.

It is not. You consider Internet as a dumb telephone network :-) ! Ouaouh!
You forget the PABX of Internet is the DNS system. In calling
your own super root, you just tell your PABX (DNS) which global
vision of the world you want. From there you can dial indifferently 1234.1
to E164.2 or to 415.12.31.0 provided your super root resolves the
TLDs 0, 1, 2 (examples). (I am not familiar with the telephone
system you quoted,so for this example I assumed that your different
bosses were at 1234, E164 local and 415.12.31 public. I hope it
makes sense to you).

>Having PABXes for managing private STN is fine, but we can never make
>the assumption that the number of our boss, no matter how important the
>boss, will have the same global visibility as an E164 number.

Do not understand E164, but I suppose you understand that TLDs permit
to respond yes.

>My bottom line? The DN under a TLD that is in the a.root is "global"
>like an E164 phone number. DNs under a TLD that is in an alternate root
>is not "illegal" at all, but will have the same visibility that an
>extension number will have: local, to the customers of the PABX.

True if the alternative root is dumb and do not support the public "TLD set".

Untrue otherwise since the global root by essence is global and
therefore handles all the extended TLDs and default to the public
root. When you "dial" your E164 number you use the public DNS
hierarchy, unless you asked for another hierarchy in entering an
alternative E164 TLD.

This is the way every added system work:
case 1:  added tool 1
case 2:  added tool 2
case 3:  added tool 3
default:  usual solution
We do not care about avoiding conflicts. We handle them
through case prioritization. Full DNS stuff. No change.

I will finish with an Italian comparison. Please forgive me
if it is outdated or not fully exact:

your TV set gives you a global vision of the world. Through
a single infrared pad and a single screen with a single TV
news paper.

- -  for decades this vision was brought to you by the public RAI.
    network.
- -  then Berlusconi and others came in.
- -  then you got your recorder and DVD
- -  then you got cable, and satellite extensions. Competing
    with often same reports. You picked some, other not.

So you may watch the Lazio/Inter on several channels with
different comments or presentation. Yet you still have your
single infrared pad, etc.. Yet you still may default to RAI Uno.

Please excuse me if you felt I was unclear or patronizing.
It is not obvious to explain to a smart knowledgeable person
something you now feel obvious (I certainly gave all these
applied network questions a lot of thinking). Simple things
are often difficult to grasp and explain to low IQ as mine.

Best regards.
Jefsey

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Fri, 25 Aug 2000 07:34:35 +0200
From: Harald Alvestrand <[email-masked]>
Subject: "Global" (Re: [ga] Re: DNS/ICANN understanding)

At 01:14 25/08/2000 +0200, Jefsey Morfin wrote:
>Global is the same as public only when you have no intranet
>and cannot afford or feel free to use/buy extended features in
>addition or in replacement for public features.

I do not find your definition of "global" compatible with the way I have 
seen this word used in other Internet contexts.

Your usage seems to equate "global" with "the whole content of a bundled 
service", meaning that the interpretation varies from user to user.

I don't think your usage of the word "global" enhances communication in 
this context, and would appreciate it if you could use some other term for 
the concept you want to describe.

              Harald

- --
Harald Tveit Alvestrand, [email-masked]
+47 41 44 29 94
Personal email: [email-masked]

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Fri, 25 Aug 2000 00:54:55 -0700
From: Simon Higgs <[email-masked]>
Subject: Re: [ga] List rules

At 12:27 PM 8/24/00 +0200, Harald Tveit Alvestrand wrote:
>At 00:22 24/08/2000 -0700, Simon Higgs wrote:
>>NC creates a problem. GA Chair is more suitable, but it really should be 
>>the operational list keeper.
>
>that's what we got into trouble about with "no democratic oversight" back 
>in the fall of '99.
>The operational list keeper is (and wants to be) a strictly technical 
>role; the troubles the list rules were designed to deal with are not of a 
>strictly technical nature.

It's a trust issue. If the trust to exercise that task exists, then 
democratic oversight is not needed. If it does not exist, you are already 
compromised. Democratic oversight deals only with the symptoms created by 
that lack of trust. It doesn't deal with the root cause.

It's not a perfect world so you've got to do what you've got to do.

Best Regards,

Simon Higgs

- --
It's a feature not a bug...

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Fri, 25 Aug 2000 10:13:55 +0200 (MET DST)
From: "Roberto Gaetano" <[email-masked]>
Subject: Re: Re[3]: [ga] Elections

Joop,

I waited for a week, and there seem to be no reaction to this post, 
which I interpret as lack of interest.

You wrote:
>
>If you check the archives, you will find that the motion was already
>seconded on the list, while we were in Yokohama.
>(by Wawa Ngenge)

Indeed.
Then it had been voted, in Yokohama, and received by NC, who took 
action.

>
>If any further debate is needed, then obviously the text of the motion
>should be debated.
>Do you still have it handy?

Joop, if you want to pursue the matter further, you are welcome.
Re-present the motion (or present a different text), find a secont, and 
get the discussion started.
If I get at least 10 contributions within the next week/10 days that 
show any interest to this, I will call for a vote.
But don't ask me to take initiative in an action that I believe to be 
useless.
Fair enough?

Roberto
- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Fri, 25 Aug 2000 16:46:00 +0200
From: Jefsey Morfin <[email-masked]>
Subject: Re: "Global" (Re: [ga] Re: DNS/ICANN understanding)

To all.
I happen to see that a mail from Harald Alvestrand I received
was not a private but a public mail. For everyone to have
global vision of the discussion, I forward this mail to all
after having corrected some typos.

Mr. Chairman,
I thank you for the received URDP concerning "global.internet"
in form of a call to the order.

I understand that your request is in good faith and that you
react to the unbalance of a point because I made it only in
part, what you would have every reason to argue.

However, I fully understand you do not object my limitation
in the use of the word "global" but to the contrary to its usage
in the Internet field according to its full common, dictionary
and philosophical accept ion.

I will therefore obviously deny your request, but I do not
want to appear unfairly condescending or obtrusive. IMHO
your request creates what it want to fight. I feel fair to give
you more elements to correct your opinion. Forget me if
such a detailing may appear patronizing, it is certainly not
intended to.

 >>

Not using the proper word in its proper context because the
readers have not yet plainly realized its meaning would kill
any research or teaching effort, don't you think? With such
a non scientific approach there would be a Galilean mass
and an Einsteinian mass with two different words. I do not
think it would really help discussions, understanding and
development.

I will spend some time responding because I feel that most
if not all the issues discussed about Internet boil down to this:

- -  the so called "technicians" (I deny anyone the right to tell
    I am not one of them) see the uniqueness of some technical
    solutions and infer that "global" means "entirety", and
    "extended" is some part of "value added".

- -  the so called "lawyers", "politics" and "businesses" (I
    deny anyone to tell I am not one of them) see from the
    day to day life complexity and opportunities that there
    is much more.

IMHO all the problems we meet come from this qui pro quo.

1)  You use the word "global" in the same context as me.
      I started working on the concept in the network industry
      18 years ago. As explained earlier, I was even given "the
      global one" nickname because none at that time used or
      even heard the word!  I also coined the word "extended"
      in making it my title and my job definition: this gave me
      a lot of insights from top scientists, executives and
      politics from all over the world (you may guess that this
      was often the opening topic once the people read my
      business card).

2) From my constant experience, most of the people
     react like you, before realizing that the word "global"
     means in Telecom, Internet, etc.. the same thing
     as everywhere else, ie. "a group of elements
     considered in its entirety". They never thought there
     was therefore a difference between global and entire
     however one definition includes the other's concept.

     So, even if something is a unique piece, entire and
     global will differ because you may consider that thing
     in different ways. There will be no real difference if
     everyone consider it the same way. This is the way
     "technicians" like most probably you, consider the
     Internet: one system considered from the current IAB
     point of view. Like a Sergeant saying "I want to see
     only one head". In such a case the false sense is
     here but its impact is nil.

     Now, if something is made of various pieces "global"
     will practically differ from "entire" because it also includes
     the different perspectives you may have of the pieces
     and of their interrelations. In mathematics we would
     say that entire is all the elements, and "global" adds
     the rules applying to them. It is like having the Sergeant
     replaced by a coach: he will care about each one.

     "global" may result into something smaller than
     entire if some of the rules are negative. On the paper
     your team may count 25 players. But if one is sick,
     globally you will only have 24 on the field.

     It may also result into something larger: if you play
     home, the entire team will still be 24, but globally
     you may also count on the public.

3) I note that your definition of what you read from me is
    half appropriate.

     -  you include a deduction "'the whole content of a
        bundled service', *meaning that* the interpretation
        varies from user to user'.
        -  No: this it is not "meaning that", but "of which".
        -  we might also argue about "interpretation" which
           implies a deductive thinking process, while I use
           "vision" which may better correspond to an
           iterative thinking process. Also the a minima
           process is a view which can be considered as
           an immediate vision.

      - you do a counter sense unless you mean the
        "entire Internet" when you write "bundled service",
        what I doubt. Global *adds*, it does not removes.
        But it may add rules which de facto remove. If we
        have three figures: 1 2 3, the entire set has 3
        elements. Now we add rules towards a global
        vision and 2 is negative, globally I still have 3
        figures, but only 2 positive values. ie. globally
        a set of 2 if I need positive values, of 1 if want
        only negative values.

     Again, you think "global=public". This is your right.

     I observe that everybody says "global=public+...."
     and I try to analyze what this "+..." may be, so I
     may understand how to address, manage and may
     be develop this "+...".

4) I will end giving you a practical example showing
     that you are quite accustomed to these concepts.

     Let say you come and visit NY. You go first to the
     Empire State or to the WTC to get a general picture,
     but you will probably not visit both.

     Now, you want to build a map of NY: you need
     the entire picture. You will go to the Empire State
     and to the WTC and to the Bronx, etc... and you
     will take global pictures of NY.

     Then you will be able to triangle these global pictures
     considering the *entire* NY from several *different
     perspectives*. Each "global" view presents correctly
     the entire NY and the perspective conflicts. To make
     global and entire equivalent would be like taking X-ray
    picture.

     NB. Do not object that the pictures are general: it
     would mean they do not go into details. Being global
     the consider everything.

Summary

- -  considering Internet as an unique piece what it is not
    by nature, except (?) when considering the inter-nets
    protocols and solutions from the only IAB - internally
    contested - point of view, you can in good faith
    stand your position however technically wrong.

- -  I am sorry but dictionary, philosophy, technical
    analysis, common sense and history gives me the
    right to stand mine.

- -  in the case of Internet, our common understanding of
    the problems would be quite simplified would we accept
    that Internet is a collection of interconnected networks,
    to be considered in their globality and not its entirety
    (or restricted to its publicly supported parts!).

    We are no gods imposing our point of view, but partners
    trying to obtain consensus.

    ICANN is on the paper the body of our consensa. In
    reality it is not? This does not change that having such
    a body is advisable.

Sincerely yours.
Jefsey Morfin
http://utel.net/jefsey.htm

At 07:34 25/08/00, you wrote:
>At 01:14 25/08/2000 +0200, Jefsey Morfin wrote:
>>Global is the same as public only when you have no intranet
>>and cannot afford or feel free to use/buy extended features in
>>addition or in replacement for public features.
>
>I do not find your definition of "global" compatible with the way I have 
>seen this word used in other Internet contexts.
>
>Your usage seems to equate "global" with"the whole content of a bundled 
>service", meaning that the interpretation varies from user to user.
>
>I don't think your usage of the word "global" enhances communication in 
>this context, and would appreciate it if you could use some other term for 
>the concept you want to describe.
>
>              Harald
>
>
>
>--
>Harald Tveit Alvestrand, [email-masked]
>+47 41 44 29 94
>Personal email: [email-masked]

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

Date: Fri, 25 Aug 2000 17:58:12 -0700
From: "Christopher Ambler" <[email-masked]>
Subject: [ga] Fw:  [icann-announce]  ICANN Comment on NSI Registry Multilingual Domain Name Testbed

Can anyone tell me who wrote this?

Christopher

- ----- Original Message -----
From: <[email-masked]>
To: "ICANN Announcement List" <[email-masked]>
Sent: Friday, August 25, 2000 6:00 PM
Subject: [icann-announce] ICANN Comment on NSI Registry Multilingual Domain
Name Testbed

> (25 August 2000) Yesterday, NSI Registry announced its plans to open a
> testbed for ICANN-accredited registrars to register domain names in
> non-English language character sets in .com, .net, and .org.
> <http://www.nsol.com/news/2000/pr_20000824.html>
>
> ICANN recognizes that it is important that the Internet evolve to be
> more accessible to those who do not use English-language character
> sets. At the same time, the internationalization of the Internet's
> domain name system must be accomplished through standards that are
> open, non-proprietary, and fully compatible with the Internet's
> existing end-to-end model and that preserve globally unique naming
> in a universally resolvable public name space. ICANN strongly
> supports the principle stated by the IETF's working group on
> Internationalized Domain Names:
>
>    "A fundamental requirement in this work is to not disturb the
>    current use and operation of the domain name system, and for the
>    DNS to continue to allow any system anywhere to resolve any
>    domain name."
>
> <http://www.i-d-n.net/>
>
> With those goals in mind, ICANN intends to monitor closely the
> implementation of non-English language character sets by NSI
> Registry in the .com, .net, and .org top-level domains.

- --
This message was passed to you via the [email-masked] list.
Send mail to [email-masked] to unsubscribe
("unsubscribe ga" in the body of the message).
Archives at http://www.dnso.org/archives.html

------------------------------

End of GA-DIGEST V1 #126
************************